"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.babelExtensions = exports.babelConfigFiles = void 0;

var _exec = _interopRequireDefault(require("../../cmd/exec"));

var _helper = require("../../helper");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const babelConfigFiles = ['babel.config.js', 'babel.config.json'];
exports.babelConfigFiles = babelConfigFiles;
const babelExtensions = '.js,.jsx,.ts,.tsx';
exports.babelExtensions = babelExtensions;

const babel = async ({
  cwd,
  log
}) => {
  const configPath = await (0, _helper.getFirstExistFile)(cwd, babelConfigFiles);
  const cmd = './node_modules/.bin/babel';
  const args = []; // options

  args.push('-d', 'build');
  args.push('--config-file', configPath);
  args.push('--extensions', babelExtensions); // path

  args.push('src');
  log.info('Run babel');
  await (0, _exec.default)({
    cmd,
    args,
    cwd,
    log
  });
};

var _default = babel;
exports.default = _default;