"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _exec = _interopRequireDefault(require("../../cmd/exec"));

var _helper = require("../../helper");

var _babel = require("./babel");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const scriptFiles = ['src/index.ts', 'src/index.js'];

const babelNode = async ({
  cwd,
  log
}, {
  script,
  watch
}) => {
  const configPath = await (0, _helper.getFirstExistFile)(cwd, _babel.babelConfigFiles);
  const cmd = `./node_modules/.bin/babel-${watch ? 'watch' : 'node'}`;
  const args = []; // options

  args.push('--extensions', _babel.babelExtensions);

  if (!watch) {
    args.push('--config-file', configPath);
  } // script


  args.push(script ?? (await (0, _helper.getFirstExistFile)(cwd, scriptFiles)));
  log.info(`Run babel-${watch ? 'watch' : 'node'}`);
  await (0, _exec.default)({
    cmd,
    args,
    cwd,
    log,
    withInteraction: true,
    withDirectOutput: true
  });
};

var _default = babelNode;
exports.default = _default;