"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _exec = _interopRequireDefault(require("../../cmd/exec"));

var _existFiles = _interopRequireDefault(require("../../cmd/existFiles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const configs = ['commitlint.config.js', '.commitlintrc.js', '.commitlintrc.json', '.commitlintrc.yml'];

const commitlint = async ({
  cwd,
  cfg,
  log
}, {
  edit
}) => {
  const configFiles = await (0, _existFiles.default)(configs, cwd);
  configFiles.push((0, _path.join)(cfg, 'commitlintrc.json'));
  const cmd = './node_modules/.bin/commitlint';
  const args = [];
  args.push('--color');
  args.push('--edit', edit);
  args.push('--config', configFiles[0]);
  log.info('Run commitlint');
  await (0, _exec.default)({
    cmd,
    args,
    cwd,
    log
  });
};

var _default = commitlint;
exports.default = _default;