"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("../../../cmd/access"));

var _readdir = _interopRequireDefault(require("../../../cmd/readdir"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getPackagePaths = async packagePath => {
  const nodeModulesPath = (0, _path.join)(packagePath, 'node_modules');
  const packagePaths = [packagePath];
  const isNodeModulesReadable = await (0, _access.default)(nodeModulesPath, 'readable');

  if (isNodeModulesReadable) {
    const files = await (0, _readdir.default)(nodeModulesPath);
    const filePromises = files.filter(file => file.isDirectory() && !file.name.startsWith('.')).map(folder => getPackagePaths((0, _path.join)(nodeModulesPath, folder.name)));
    packagePaths.push(...(await Promise.all(filePromises)).flat());
  }

  return packagePaths;
};

var _default = getPackagePaths;
exports.default = _default;