"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _exec = _interopRequireDefault(require("../../cmd/exec"));

var _helper = require("../../helper");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const configs = ['tsconfig.json'];
const buildConfigs = ['tsconfig.build.json'];

const tsc = async ({
  cwd,
  log
}, {
  mode
}) => {
  const configPath = await (0, _helper.getFirstExistFile)(cwd, mode === 'type-create' ? buildConfigs : configs);
  const cmd = './node_modules/.bin/tsc';
  const args = [];

  switch (mode) {
    case 'type-check':
      args.push('--outDir', (0, _path.join)(cwd, 'build'));
      args.push('--project', configPath);
      args.push('--noEmit');
      args.push('--isolatedModules', 'false');
      break;

    case 'type-create':
      args.push('--outDir', (0, _path.join)(cwd, 'build'));
      args.push('--project', configPath);
      args.push('--noEmit', 'false');
      args.push('--emitDeclarationOnly');
      break;

    default:
      throw new Error(`Mode is unknown: ${String(mode)}`);
  }

  log.info('Run TypeScript');
  await (0, _exec.default)({
    cmd,
    args,
    cwd,
    log
  });
};

var _default = tsc;
exports.default = _default;