"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("./access"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const existFile = async (cwd, file) => {
  const path = (0, _path.join)(cwd, file);
  const hasAccess = await (0, _access.default)(path, 'readable');
  return hasAccess ? path : '';
};

const existFiles = async (files, cwd = '') => {
  const checkedFiles = await Promise.all(files.map(file => existFile(cwd, file)));
  return checkedFiles.filter(file => file !== '');
};

var _default = existFiles;
exports.default = _default;