"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.builder = exports.handler = exports.desc = exports.command = void 0;

var _yargs = require("../cli/yargs");

var _gitTask = _interopRequireDefault(require("../tasks/gitTask"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const command = 'git';
exports.command = command;
const desc = 'Handler for the git hooks';
exports.desc = desc;
const mode = ['msg', 'commit'];
const options = {
  group: `${command}-Options`
};
const handler = (0, _yargs.createHandler)(_gitTask.default);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  hook: { ...options,
    choices: mode,
    demandOption: true
  },
  edit: { ...options,
    type: 'string',
    desc: 'Path to the COMMIT_EDITMSG file (only at hook "msg")'
  }
}));
exports.builder = builder;