"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFirstExistFile = exports.cleanCliValue = void 0;

var _existFiles = _interopRequireDefault(require("./cmd/existFiles"));

var _firstExistFileError = _interopRequireDefault(require("./errors/firstExistFileError"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable-next-line no-control-regex */
const cleanCliValue = v => v.replace(/(\u001B)?\[[0-9]{1,2}m/gu, '');

exports.cleanCliValue = cleanCliValue;

const getFirstExistFile = async (cwd, files) => {
  const checkedFiles = await (0, _existFiles.default)(files, cwd);

  if (checkedFiles.length === 0) {
    throw new _firstExistFileError.default(`None of the following files were found: ${files.join(', ')}`);
  }

  return checkedFiles[0];
};

exports.getFirstExistFile = getFirstExistFile;