"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _packageLoad = _interopRequireDefault(require("../actions/npm/packageLoad"));

var _babel = _interopRequireDefault(require("../actions/tools/babel"));

var _tsc = _interopRequireDefault(require("../actions/tools/tsc"));

var _spinner = require("../cli/spinner");

var _firstExistFileError = _interopRequireDefault(require("../errors/firstExistFileError"));

var _taskHook = _interopRequireDefault(require("./helpers/taskHook"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const buildTask = async argv => {
  await (0, _taskHook.default)(argv, {
    task: 'build',
    type: 'pre'
  });
  const isPrivate = await (0, _packageLoad.default)(argv, {
    key: 'private'
  });

  try {
    if (isPrivate !== true) {
      await (0, _spinner.spinnerAction)((0, _tsc.default)(argv, {
        mode: 'type-create'
      }), 'Build: Typescript');
    }
  } catch (error) {
    if (!(error instanceof _firstExistFileError.default)) {
      throw error;
    }
  }

  try {
    await (0, _spinner.spinnerAction)((0, _babel.default)(argv), 'Build: Babel');
  } catch (error) {
    if (!(error instanceof _firstExistFileError.default)) {
      throw error;
    }
  }

  await (0, _taskHook.default)(argv, {
    task: 'build',
    type: 'post'
  });
};

var _default = buildTask;
exports.default = _default;